<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref34.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::is_eletter&#40;char&#41; - std::multimap::begin&#40;&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::is_eletter&#40;char&#41; - std::multimap::begin&#40;&#41;</h1><div class="xref-name"><a id="Synopsis_mis_eletter_lchar_r" /><h2 >Function Synopsis::is_eletter&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_eletter_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#129">Synopsis/Lexer.hh:129</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_float_suffix_lchar_r" /><h2 >Function Synopsis::is_float_suffix&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_float_suffix_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#141">Synopsis/Lexer.hh:141</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_hexdigit_lchar_r" /><h2 >Function Synopsis::is_hexdigit&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_hexdigit_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#131">Synopsis/Lexer.hh:131</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_int_suffix_lchar_r" /><h2 >Function Synopsis::is_int_suffix&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_int_suffix_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#136">Synopsis/Lexer.hh:136</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_letter_lchar_r" /><h2 >Function Synopsis::is_letter&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_letter_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#120">Synopsis/Lexer.hh:120</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mis_xletter_lchar_r" /><h2 >Function Synopsis::is_xletter&#40;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis.html#is_xletter_lchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#127">Synopsis/Lexer.hh:127</a>: in namespace <a href="../Scopes/Synopsis.html" >Synopsis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="assert" /><h2 >assert</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#102">Synopsis/PTree/operations.hh:102</a>: in global scope</li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#89">Synopsis/PTree/TypeVisitor.hh:89</a>: in global scope</li>
<li><a href="../Source/Synopsis/PTree/o.hh.html#5">Synopsis/PTree/o.hh:5</a>: in global scope</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="memchr_lconst.void_S_cint_csize_t_r" /><h2 >memchr&#40;const void*&#44;int&#44;size_t&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#84">Synopsis/PTree/Encoding.hh:84</a>: in Synopsis::PTree::Encoding::char_traits::find&#40;const char_type*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="memcmp_lconst.void_S_cconst.void_S_csize_t_r" /><h2 >memcmp&#40;const void*&#44;const void*&#44;size_t&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#81">Synopsis/PTree/Encoding.hh:81</a>: in Synopsis::PTree::Encoding::char_traits::compare&#40;const char_type*&#44;const char_type*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="memcpy_lvoid_S_cconst.void_S_csize_t_r" /><h2 >memcpy&#40;void*&#44;const void*&#44;size_t&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#88">Synopsis/PTree/Encoding.hh:88</a>: in Synopsis::PTree::Encoding::char_traits::copy&#40;char_type*&#44;const char_type*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="memmove_lvoid_S_cconst.void_S_csize_t_r" /><h2 >memmove&#40;void*&#44;const void*&#44;size_t&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#86">Synopsis/PTree/Encoding.hh:86</a>: in Synopsis::PTree::Encoding::char_traits::move&#40;char_type*&#44;const char_type*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="memset_lvoid_S_cint_csize_t_r" /><h2 >memset&#40;void*&#44;int&#44;size_t&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#90">Synopsis/PTree/Encoding.hh:90</a>: in Synopsis::PTree::Encoding::char_traits::assign&#40;char_type*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="nconc_lN_S_cNode_S_r" /><h2 >Function template nconc&#40;N*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/global.html#nconc_lN_S_cNode_S_r" >Documentation</a></li><li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/o.hh.html#13">Synopsis/PTree/o.hh:13</a>: in function template <a href="../Scopes/global.html#snoc_lN_S_cNode_S_r" >snoc&#40;N*&#44;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="size_t" /><h2 >size_t</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#40">Synopsis/Lexer.hh:40</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#41">Synopsis/Lexer.hh:41</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#75">Synopsis/Lexer.hh:75</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#79">Synopsis/Lexer.hh:79</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#88">Synopsis/Lexer.hh:88</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#103">Synopsis/Lexer.hh:103</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#32">Synopsis/PTree/Atoms.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#47">Synopsis/PTree/Atoms.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#48">Synopsis/PTree/Atoms.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#48">Synopsis/PTree/Atoms.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#56">Synopsis/PTree/Atoms.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#74">Synopsis/PTree/Atoms.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#43">Synopsis/PTree/Display.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#61">Synopsis/PTree/Display.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#106">Synopsis/PTree/Encoding.hh:106</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#112">Synopsis/PTree/Encoding.hh:112</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#116">Synopsis/PTree/Encoding.hh:116</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#127">Synopsis/PTree/Encoding.hh:127</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#131">Synopsis/PTree/Encoding.hh:131</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#133">Synopsis/PTree/Encoding.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#37">Synopsis/PTree/Node.hh:37</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#51">Synopsis/PTree/Node.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#92">Synopsis/PTree/Node.hh:92</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#93">Synopsis/PTree/Node.hh:93</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#94">Synopsis/PTree/Node.hh:94</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#95">Synopsis/PTree/Node.hh:95</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#100">Synopsis/PTree/Node.hh:100</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#108">Synopsis/PTree/Node.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#34">Synopsis/PTree/Writer.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#23">Synopsis/PTree/operations.hh:23</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#35">Synopsis/PTree/operations.hh:35</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#40">Synopsis/PTree/operations.hh:40</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#45">Synopsis/PTree/operations.hh:45</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#50">Synopsis/PTree/operations.hh:50</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#20">Synopsis/SymbolLookup/Display.hh:20</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#64">Synopsis/SymbolLookup/Display.hh:64</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#150">Synopsis/SymbolLookup/Scope.hh:150</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/Token.hh.html#206">Synopsis/Token.hh:206</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
<li><a href="../Source/Synopsis/Token.hh.html#209">Synopsis/Token.hh:209</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#71">Synopsis/Trace.hh:71</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#32">Synopsis/TypeAnalysis/Type.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="snoc_lN_S_cNode_S_r" /><h2 >Function template snoc&#40;N*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/global.html#snoc_lN_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/o.hh.html#11">Synopsis/PTree/o.hh:11</a>: in </li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="snoc_lNode_S_cNode_S_r" /><h2 >Function snoc&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/global.html#snoc_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/o.hh.html#10">Synopsis/PTree/o.hh:10</a>: in </li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string" /><h2 >std::basic_string</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#98">Synopsis/PTree/Encoding.hh:98</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mappend_lconst._CharT_S_csize_type_r" /><h2 >std::basic_string::append&#40;const _CharT*&#44;size_type&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#131">Synopsis/PTree/Encoding.hh:131</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::append&#40;const char*&#44;size_t&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mappend_lconst.basic_string_A_r" /><h2 >std::basic_string::append&#40;const basic_string&amp;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mappend_lsize_type_c_CharT_r" /><h2 >std::basic_string::append&#40;size_type&#44;_CharT&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#130">Synopsis/PTree/Encoding.hh:130</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lunsigned.char_r" >Synopsis::PTree::Encoding::append&#40;unsigned char&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mat_lsize_type_rconst" /><h2 >std::basic_string::at&#40;size_type&#41;const</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#116">Synopsis/PTree/Encoding.hh:116</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#at_lsize_t_rconst" >Synopsis::PTree::Encoding::at&#40;size_t&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mbegin_l_r" /><h2 >std::basic_string::begin&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#113">Synopsis/PTree/Encoding.hh:113</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#begin_l_rconst" >Synopsis::PTree::Encoding::begin&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >Synopsis::PTree::Encoding::prepend&#40;unsigned char&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mclear_l_r" /><h2 >std::basic_string::clear&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#110">Synopsis/PTree/Encoding.hh:110</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#clear_l_r" >Synopsis::PTree::Encoding::clear&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mempty_l_rconst" /><h2 >std::basic_string::empty&#40;&#41;const</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#111">Synopsis/PTree/Encoding.hh:111</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#empty_l_rconst" >Synopsis::PTree::Encoding::empty&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_mend_l_r" /><h2 >std::basic_string::end&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#114">Synopsis/PTree/Encoding.hh:114</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_l_rconst" >Synopsis::PTree::Encoding::end&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_merase_literator_citerator_r" /><h2 >std::basic_string::erase&#40;iterator&#44;iterator&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >Synopsis::PTree::Encoding::pop&#40;size_t&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_merase_lsize_type_csize_type_r" /><h2 >std::basic_string::erase&#40;size_type&#44;size_type&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#223">Synopsis/PTree/Encoding.hh:223</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_l_r" >Synopsis::PTree::Encoding::pop&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_minsert_literator_c_CharT_r" /><h2 >std::basic_string::insert&#40;iterator&#44;_CharT&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >Synopsis::PTree::Encoding::prepend&#40;unsigned char&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_minsert_lsize_type_cconst._CharT_S_csize_type_r" /><h2 >std::basic_string::insert&#40;size_type&#44;const _CharT*&#44;size_type&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#127">Synopsis/PTree/Encoding.hh:127</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::prepend&#40;const char*&#44;size_t&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_minsert_lsize_type_cconst.basic_string_A_r" /><h2 >std::basic_string::insert&#40;size_type&#44;const basic_string&amp;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::prepend&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mbasic_string_msize_l_rconst" /><h2 >std::basic_string::size&#40;&#41;const</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#112">Synopsis/PTree/Encoding.hh:112</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#size_l_rconst" >Synopsis::PTree::Encoding::size&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mclock_t" /><h2 >std::clock_t</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Timer.hh.html#22">Synopsis/Timer.hh:22</a>: in class <a href="../Scopes/Synopsis/Timer.html" >Synopsis::Timer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mcout" /><h2 >std::cout</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#44">Synopsis/Trace.hh:44</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#52">Synopsis/Trace.hh:52</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#59">Synopsis/Trace.hh:59</a>: in member function <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Synopsis::Trace::~Trace&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#80">Synopsis/Trace.hh:80</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Synopsis::Trace::Entry::Entry&#40;bool&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#86">Synopsis/Trace.hh:86</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#_tEntry_l_r" >Synopsis::Trace::Entry::~Entry&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque" /><h2 >std::deque</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#57">Synopsis/Lexer.hh:57</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mat_lsize_type_r" /><h2 >std::deque::at&#40;size_type&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#at_lsize_type_rconst" >Synopsis::Lexer::Queue::at&#40;size_type&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mback_l_r" /><h2 >std::deque::back&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#63">Synopsis/Lexer.hh:63</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#back_l_rconst" >Synopsis::Lexer::Queue::back&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mclear_l_r" /><h2 >std::deque::clear&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#67">Synopsis/Lexer.hh:67</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#clear_l_r" >Synopsis::Lexer::Queue::clear&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mempty_l_rconst" /><h2 >std::deque::empty&#40;&#41;const</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#60">Synopsis/Lexer.hh:60</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#empty_l_rconst" >Synopsis::Lexer::Queue::empty&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mfront_l_r" /><h2 >std::deque::front&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#62">Synopsis/Lexer.hh:62</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#front_l_rconst" >Synopsis::Lexer::Queue::front&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mpop_front_l_r" /><h2 >std::deque::pop_front&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#66">Synopsis/Lexer.hh:66</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#pop_l_r" >Synopsis::Lexer::Queue::pop&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_mpush_back_lconst.value_type_A_r" /><h2 >std::deque::push_back&#40;const value_type&amp;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#65">Synopsis/Lexer.hh:65</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" >Synopsis::Lexer::Queue::push&#40;const Token&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mdeque_msize_l_rconst" /><h2 >std::deque::size&#40;&#41;const</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#61">Synopsis/Lexer.hh:61</a>: in member function <a href="../Scopes/Synopsis/Lexer/Queue.html#size_l_rconst" >Synopsis::Lexer::Queue::size&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mexception" /><h2 >std::exception</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#18">Synopsis/SymbolLookup/Scope.hh:18</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#28">Synopsis/SymbolLookup/Scope.hh:28</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#38">Synopsis/SymbolLookup/Scope.hh:38</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#51">Synopsis/SymbolLookup/Scope.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/InternalError.html" >Synopsis::SymbolLookup::InternalError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmap" /><h2 >std::map</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#71">Synopsis/Lexer.hh:71</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#76">Synopsis/SymbolLookup/Scope.hh:76</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmap_mbegin_l_r" /><h2 >std::map::begin&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#102">Synopsis/SymbolLookup/Scope.hh:102</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_begin_l_rconst" >Synopsis::SymbolLookup::Scope::scopes_begin&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmap_mend_l_r" /><h2 >std::map::end&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#103">Synopsis/SymbolLookup/Scope.hh:103</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#scopes_end_l_rconst" >Synopsis::SymbolLookup::Scope::scopes_end&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmbstate_t" /><h2 >std::mbstate_t</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#76">Synopsis/PTree/Encoding.hh:76</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmultimap" /><h2 >std::multimap</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#71">Synopsis/SymbolLookup/Scope.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mmultimap_mbegin_l_r" /><h2 >std::multimap::begin&#40;&#41;</h2><ul>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#99">Synopsis/SymbolLookup/Scope.hh:99</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Scope.html#symbols_begin_l_rconst" >Synopsis::SymbolLookup::Scope::symbols_begin&#40;&#41;const</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
